• Resolved CCRussell

    (@ccrussell)


    I’ve just installed the plugin, have not set anything up. In the “Authentication” page, under Flickr, SmugMug and 500px, I see the error:

    Warning: sprintf(): Too few arguments in /home3/ccrsrus1/public_html/wildflowers.russellramblings.com/wp-content/plugins/photonic/photonic-options-manager.php on line 1652

Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Author Sayontan

    (@sayontan)

    Strictly speaking this is a warning, not an error (and it will not impact any functionality). Can you disable warning reporting on your site and retry? I will take care of the warning in the next iteration.

    • This reply was modified 1 year, 5 months ago by  Sayontan.

    Thank you for the fast response. Apologies, I don’t know how to disable warning reporting

    Plugin Author Sayontan

    (@sayontan)

    This is typically in your php.ini settings. However, if you are not sure how to do this, first, simply ignore the warning and set up the API keys and see if it fixes things. If it doesn’t, here is how to fix the plugin file:

    1. Go to the Plugin Editor from your dashboard (Plugins → Editor)
    2. Select the Photonic plugin for editing from the drop down near the top right.
    3. Pick the file photonic-options-manager.php.
    4. In the editor you will see this in line 1652:
      echo sprintf(__('Please set up your %s API key under <em>Photonic &rarr; Settings &rarr; %s &rarr; %s Settings</em>.', 'photonic'), $provider);
    5. Change it to:
      echo sprintf(__('Please set up your %1$s API key under <em>Photonic &rarr; Settings &rarr; %1$s &rarr; %1$s Settings</em>.', 'photonic'), $provider);
    6. Save
    Plugin Author Sayontan

    (@sayontan)

    This has been added to version 1.66 of the plugin.

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘Too few arguments error’ is closed to new replies.